# ChangeLog for net-dialup/rp-pppoe
# Copyright 2002-2007 Gentoo Foundation; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/net-dialup/rp-pppoe/ChangeLog,v 1.85 2007/01/05 10:18:43 mrness Exp $

  05 Jan 2007; Alin Năstac <mrness@gentoo.org> rp-pppoe-3.8.ebuild:
  Remove obsolete setup & postinst messages. Fix bug #160167.

  04 Jan 2007; Alin Năstac <mrness@gentoo.org>
  +files/rp-pppoe-3.8-configure.patch, -files/rp-pppoe-3.8-no-strip.patch,
  rp-pppoe-3.8.ebuild:
  Fix broken compilation on glibc-2.5 (#159896).

  23 Sep 2006; Alin Nastac <mrness@gentoo.org>
  +files/rp-pppoe-3.8-no-strip.patch, rp-pppoe-3.8.ebuild:
  Avoid pre-stripped binaries QA warning.

  22 Sep 2006; Alin Nastac <mrness@gentoo.org>
  -files/rp-pppoe-3.5-dsa-557.patch,
  -files/rp-pppoe-3.5-gentoo-netscripts.patch,
  -files/rp-pppoe-3.5-on-demand-with-plugin.patch,
  -files/rp-pppoe-3.5-username-charset.patch,
  -files/rp-pppoe-3.7-gentoo-netscripts.patch,
  -files/rp-pppoe-3.7-on-demand-with-plugin.patch,
  -files/rp-pppoe-3.7-plugin-options.patch,
  -files/rp-pppoe-3.7-username-charset.patch, -rp-pppoe-3.5-r11.ebuild,
  -rp-pppoe-3.7.ebuild:
  Remove obsolete versions.

  22 Sep 2006; <blubb@gentoo.org> rp-pppoe-3.8.ebuild:
  stable on amd64

  04 Sep 2006; Joshua Kinard <kumba@gentoo.org> rp-pppoe-3.8.ebuild:
  Marked stable on mips.

  10 Jul 2006; Thomas Cort <tcort@gentoo.org> rp-pppoe-3.8.ebuild:
  Stable on alpha.

  10 Jun 2006; Michael Hanselmann <hansmi@gentoo.org> rp-pppoe-3.8.ebuild:
  Stable on ppc.

  09 Jun 2006; Markus Rothe <corsair@gentoo.org> rp-pppoe-3.8.ebuild:
  Stable on ppc64

  06 Jun 2006; Gustavo Zacarias <gustavoz@gentoo.org> rp-pppoe-3.8.ebuild:
  Stable on sparc

  02 Jun 2006; Alin Nastac <mrness@gentoo.org> rp-pppoe-3.8.ebuild:
  Stable on x86.

  26 May 2006; Danny van Dyk <kugelfang@gentoo.org> rp-pppoe-3.7.ebuild:
  Marked stable on amd64.

  23 May 2006; Markus Rothe <corsair@gentoo.org> rp-pppoe-3.7.ebuild:
  Stable on ppc64

  14 May 2006; Thomas Cort <tcort@gentoo.org> rp-pppoe-3.7.ebuild:
  Stable on alpha.

  24 Apr 2006; Joshua Kinard <kumba@gentoo.org> rp-pppoe-3.7.ebuild:
  Marked stable on mips.

*rp-pppoe-3.8 (21 Apr 2006)

  21 Apr 2006; Alin Nastac <mrness@gentoo.org>
  +files/rp-pppoe-3.8-gentoo-netscripts.patch,
  +files/rp-pppoe-3.8-plugin-options.patch,
  +files/rp-pppoe-3.8-username-charset.patch, +rp-pppoe-3.8.ebuild:
  Version bump. The new version fixes a bug in MD5 code that caused
  pppoe-server to segfault on 64-bit arches (#130571).

  01 Apr 2006; Alin Nastac <mrness@gentoo.org> rp-pppoe-3.7.ebuild:
  Bail out in pkg_setup if the old /etc/init.d/rp-pppoe still exist.

  22 Mar 2006; Michael Hanselmann <hansmi@gentoo.org> rp-pppoe-3.7.ebuild:
  Stable on ppc.

  20 Mar 2006; Gustavo Zacarias <gustavoz@gentoo.org> rp-pppoe-3.7.ebuild:
  Stable on sparc

  16 Mar 2006; Alin Nastac <mrness@gentoo.org>
  -files/rp-pppoe-3.6-gentoo-netscripts.patch,
  -files/rp-pppoe-3.6-on-demand-with-plugin.patch,
  -files/rp-pppoe-3.6-plugin-options.patch,
  -files/rp-pppoe-3.6-username-charset.patch, -rp-pppoe-3.6.ebuild,
  rp-pppoe-3.7.ebuild:
  Remove obsolete test version. Quote $FILESDIR, $S and $D. Stable on x86.

*rp-pppoe-3.7 (06 Feb 2006)

  06 Feb 2006; Alin Nastac <mrness@gentoo.org>
  +files/rp-pppoe-3.7-gentoo-netscripts.patch,
  +files/rp-pppoe-3.7-on-demand-with-plugin.patch,
  +files/rp-pppoe-3.7-plugin-options.patch,
  +files/rp-pppoe-3.7-username-charset.patch, +rp-pppoe-3.7.ebuild:
  Version bump (#121836).

  06 Jan 2006; Alin Nastac <mrness@gentoo.org> rp-pppoe-3.5-r11.ebuild,
  rp-pppoe-3.6.ebuild:
  Remove duplicate dependencies and unnecessary tcltk useflag (#117963).

  25 Dec 2005; Diego Pettenò <flameeyes@gentoo.org> rp-pppoe-3.6.ebuild:
  Use bindnow-flags function instead of -Wl,-z,now.

*rp-pppoe-3.6 (12 Oct 2005)

  12 Oct 2005; Alin Nastac <mrness@gentoo.org>
  +files/rp-pppoe-3.6-gentoo-netscripts.patch,
  +files/rp-pppoe-3.6-on-demand-with-plugin.patch,
  +files/rp-pppoe-3.6-plugin-options.patch,
  +files/rp-pppoe-3.6-username-charset.patch, +rp-pppoe-3.6.ebuild:
  Version bump (#102820).

  23 Jun 2005; Yuta SATOH <nigoro@gentoo.org> rp-pppoe-3.5-r11.ebuild:
  added ~ppc64

  21 Jun 2005; Alin Nastac <mrness@gentoo.org> -files/rp-pppoe.rc,
  rp-pppoe-3.5-r11.ebuild:
  Remove the rp-pppoe init script. The new way of using rp-pppoe is through
  adsl net module of the baselayout-1.11.12-r4.

  24 May 2005; Alin Nastac <mrness@gentoo.org>
  -files/rp-pppoe-3.5-connect-on-demand.patch, -rp-pppoe-3.5-r10.ebuild:
  Remove obsolete version.

  11 May 2005; Alin Nastac <mrness@gentoo.org> rp-pppoe-3.5-r11.ebuild:
  Stable on all arches.

*rp-pppoe-3.5-r11 (05 May 2005)

  05 May 2005; Alin Nastac <mrness@gentoo.org>
  +files/rp-pppoe-3.5-on-demand-with-plugin.patch, +rp-pppoe-3.5-r11.ebuild:
  Fix order of pppd parameters when DEMAND & LINUX_PLUGIN are used (#89609).

*rp-pppoe-3.5-r10 (25 Apr 2005)

  25 Apr 2005; Alin Nastac <mrness@gentoo.org>
  files/rp-pppoe-3.5-username-charset.patch, -rp-pppoe-3.5-r9.ebuild,
  +rp-pppoe-3.5-r10.ebuild:
  Fix username-charset patch (#90219)

  16 Apr 2005; Alin Nastac <mrness@gentoo.org> -rp-pppoe-3.5-r7.ebuild,
  -rp-pppoe-3.5-r8.ebuild, rp-pppoe-3.5-r9.ebuild:
  Mark stable on all arches and remove old versions

*rp-pppoe-3.5-r9 (17 Mar 2005)

  17 Mar 2005; Alin Nastac <mrness@gentoo.org>
  +files/rp-pppoe-3.5-connect-on-demand.patch, +rp-pppoe-3.5-r9.ebuild:
  Fix pppd parameters when on-demand is enabled (#85535).

*rp-pppoe-3.5-r8 (08 Mar 2005)

  08 Mar 2005; Alin Nastac <mrness@gentoo.org>
  +files/rp-pppoe-3.5-username-charset.patch, +rp-pppoe-3.5-r8.ebuild:
  Add support for special chars in username (#82410), thanks to Pierluigi
  Petrelli <pierluigipetrelli@tin.it>.

  04 Mar 2005; Alin Nastac <mrness@gentoo.org>
  -files/rp-pppoe-3.5-pidfile.patch, -rp-pppoe-3.5-r2.ebuild,
  -rp-pppoe-3.5-r6.ebuild:
  Remove obsolete versions.

  02 Mar 2005; Hardave Riar <hardave@gentoo.org> rp-pppoe-3.5-r7.ebuild:
  Stable on mips, bug #81702

  19 Feb 2005; Bryan Østergaard <kloeri@gentoo.org> rp-pppoe-3.5-r7.ebuild:
  Stable on alpha, bug 81702.

  17 Feb 2005; Michael Hanselmann <hansmi@gentoo.org> rp-pppoe-3.5-r7.ebuild:
  Stable on hppa.

  14 Feb 2005; Simon Stelling <blubb@gentoo.org> rp-pppoe-3.5-r7.ebuild:
  stable on amd64 wrt bug 81702

  14 Feb 2005; Gustavo Zacarias <gustavoz@gentoo.org> rp-pppoe-3.5-r7.ebuild:
  Stable on sparc wrt #81702

  13 Feb 2005; Michael Hanselmann <hansmi@gentoo.org>
  rp-pppoe-3.5-r7.ebuild:
  Stable on ppc.

*rp-pppoe-3.5-r7 (13 Feb 2005)

  13 Feb 2005; Alin Nastac <mrness@gentoo.org> +rp-pppoe-3.5-r7.ebuild:
  Fix problem with version of pppd plugin - use rp-pppoe.so from current
  version of pppd (#81746).

  12 Feb 2005; Alin Nastac <mrness@gentoo.org>
  -files/rp-pppoe-3.5-netscripts.patch, -rp-pppoe-3.5-r5.ebuild,
  rp-pppoe-3.5-r6.ebuild:
  Mark revision 6 as stable on x86 and remove old testing ebuild.

*rp-pppoe-3.5-r6 (23 Jan 2005)

  23 Jan 2005; Alin Nastac <mrness@gentoo.org> +rp-pppoe-3.5-r6.ebuild:
  Add kernel support for PPPoE, thanks to Yuri Karaban <ykar@list.ru> (bug #74598).

  22 Jan 2005; Markus Nigbur <pyrania@gentoo.org> rp-pppoe-3.5-r5.ebuild:
  Fixed SRC_URI. Added tcltk to IUSE.

  29 Dec 2004; Ciaran McCreesh <ciaranm@gentoo.org> :
  Change encoding to UTF-8 for GLEP 31 compliance

*rp-pppoe-3.5-r5 (03 Dec 2004)

  03 Dec 2004; Mike Frysinger <vapier@gentoo.org>
  +files/rp-pppoe-3.5-gentoo-netscripts.patch, +rp-pppoe-3.5-r5.ebuild:
  Fix net-script integration.  Patch by Andreas Kauer #68934.

*rp-pppoe-3.5-r4 (15 Nov 2004)

  15 Nov 2004; Alin Nastac <mrness@gentoo.org> +files/3.5-adsl-stop.patch,
  +rp-pppoe-3.5-r4.ebuild:
  Fix adsl-stop to kill pppoe instead pppd (see #67209). Avoid QA notices
  regarding lazy bindings.

*rp-pppoe-3.5-r3 (23 Oct 2004)

  23 Oct 2004; Aron Griffis <agriffis@gentoo.org> +rp-pppoe-3.5-r3.ebuild:
  Use netscripts patch instead of pidfile patch to integrate with
  baselayout-1.11.x

  16 Oct 2004; Hardave Riar <hardave@gentoo.org> rp-pppoe-3.5-r2.ebuild:
  Stable on mips, bug #66296.

  08 Oct 2004; <SeJo@gentoo.org> rp-pppoe-3.5-r2.ebuild:
  stable ppc gsla: 66296

  08 Oct 2004; Gustavo Zacarias <gustavoz@gentoo.org> rp-pppoe-3.5-r2.ebuild:
  Stable on sparc wrt #66296

  08 Oct 2004; Bryan Østergaard <kloeri@gentoo.org> rp-pppoe-3.5-r2.ebuild:
  Stable on alpha, bug 66296.

  07 Oct 2004; Jeremy Huddleston <eradicator@gentoo.org> files/rp-pppoe.rc:
  provide net -> use net to clear up 'Cannot add provide 'net', as a service
  with the same name exists\!' bug. This is not the best solution to this
  problem as this package both needs and provides net. The best thing to do is
  create predown and postup in /etc/init.d/net.eth0.

  07 Oct 2004; Jeremy Huddleston <eradicator@gentoo.org>
  rp-pppoe-3.5-r2.ebuild:
  Stable amd64.

*rp-pppoe-3.5-r2 (07 Oct 2004)

  07 Oct 2004; Heinrich Wendel <lanius@gentoo.org>
  +files/rp-pppoe-3.5-dsa-557.patch, +rp-pppoe-3.5-r2.ebuild:
  security fix, bug #66296

  27 Sep 2004; Daniel Black <dragonheart@gentoo.org> rp-pppoe-3.5-r1.ebuild:
  )) error as per bug #65516. Thanks Heiko Helmle <helman@gmx.de>

  27 Sep 2004; Heinrich Wendel <lanius@gentoo.org> rp-pppoe-3.5-r1.ebuild,
  -rp-pppoe-3.5.ebuild:
  fix tcltk useflag, bug #53986; remove old version

  24 Sep 2004; Daniel Black <dragonheart@gentoo.org> files/rp-pppoe.rc:
  files/rp-pppoe.rc changed from need net to provide net as per bug #46906.
  Thanks spanky.

*rp-pppoe-3.5-r1 (14 Jun 2004)

  14 Jun 2004; Aron Griffis <agriffis@gentoo.org>
  +files/rp-pppoe-3.5-pidfile.patch, +rp-pppoe-3.5-r1.ebuild:
  Add pidfile override to enable net.eth0 changes to support adsl for bug 24975
  (net.eth0 with support for bringing up adsl interfaces)

  09 Jun 2004; Aron Griffis <agriffis@gentoo.org> rp-pppoe-3.5.ebuild:
  Fix use invocation

  12 Feb 2004; Heinrich Wendel <lanius@gentoo.org> files/rp-pppoe.rc:
  remove background option to fix bug #40164

  01 Jan 2004; <tuxus@gentoo.org> rp-pppoe-3.5.ebuild:
  Added mips to KEYWORDS

  24 Dec 2003; Jason Wever <weeve@gentoo.org> rp-pppoe-3.5.ebuild:
  Marked stable on sparc.

  19 Nov 2003; Heinrich Wendel <lanius@gentoo.org> metadata.xml:
  metadata.xml

  03 Nov 2003; Heinrich Wendel <lanius@gentoo.org> rp-pppoe-3.5.ebuild:
  bug #25951

  02 Oct 2003; Heinrich Wendel <lanius@gentoo.org> files/rp-pppoe.rc:
  bug #30121

  15 Sep 2003; Heinrich Wendel <lanius@gentoo.org> rp-pppoe-3.5.ebuild,
  files/rp-pppoe.rc:
  added init script
  added info at the end how to configure connection

  21 Aug 2003; Will Woods <wwoods@gentoo.org> rp-pppoe-3.5.ebuild:
  Marked stable for alpha

  01 Aug 2003; Aron Griffis <agriffis@gentoo.org> rp-pppoe-3.5.ebuild:
  Add ~alpha to KEYWORDS for bug 18488

*rp-pppoe-3.5 (23 May 2003)

  28 Jul 2003; Guy Martin <gmsoft@gentoo.org> rp-pppoe-3.5.ebuild :
  Added hppa to KEYWORDS.

  25 Jul 2003; Mike Frysinger <vapier@gentoo.org> :
  Added sandbox predict to /dev/ppp to fix #24833.
  
  23 May 2003; Chuck Brewer <killian@gentoo.org>:
  Added manifest.

  05 Jan 2003: Jason Wever <weeve@gentoo.org>:
  Added ~sparc to keywords.

  11 Dec 2002; Ryan Phillips <rphillips@gentoo.org> rp-pppoe-3.5.ebuild :
  New version. Includes Maurizio Disimino's changes. Fixes #8782

*rp-pppoe-3.4-r2 (27 Oct 2002)

  27 Oct 2002; Ryan Phillips <rphillips@gentoo.org> rp-pppoe-3.4-r2.ebuild :
  Included ebuild patch from Pierre-Henri Jondot that fixes the sandbox
  violations. Fixes #8946

*rp-pppoe-3.4-r1 (27 Jul 2002)
 
  27 Sep 2002; Seemant Kulleen <seemant@gentoo.org> rp-pppoe-3.3-r1.ebuild
  rp-pppoe-3.4-r1.ebuild :
  If "tcltk" is in USE, then the tkpppoe front end will get installed.
  Thanks to: tobi.bayer@gmx.de (Tobias Bayer) in bug #8419 for catching
  this.

  30 Aug 2002; Sascha Schwabbauer <cybersystem@gentoo.org> :
  Added ppc to keywords.

  21 Aug 2002; Dan Armak <danarmak@gentoo.org> ChangeLog  :
  Fix typo in HOMEPAGE. Close #6789.

  27 Jul 2002; Seemant Kulleen <seemant@gentoo.org> rp-pppoe-3.3.ebuild
  files/digest-rp-pppoe-3.3 :
  Resurrected for now.

*rp-pppoe-3.4 (21 Jun 2002)

  21 Jun 2002; Ryan Phillips <rphillips@gentoo.org> rp-pppoe-3.4.ebuild :
  New version
  
*rp-pppoe-3.3-r1 (13 Feb 2003)
 
  13 Jul 2003; Daniel Ahlberg <aliz@gentoo.org> :
  Added missing changelog entry.

*rp-pppoe-3.3 (1 Feb 2002)

  1 Feb 2002; G.Bevin <gbevin@gentoo.org> ChangeLog :
    Added initial ChangeLog which should be updated whenever the package is
  updated in any way. This changelog is targetted to users. This means that the
  comments should well explained and written in clean English. The details about
  writing correct changelogs are explained in the skel.ChangeLog file which you
  can find in the root directory of the portage repository.
